PostGIS 2.0

May 8, 2012 at 4:55 PM

Hi Pavel, other project folks,

Just curious: now that PostGIS 2.0 has been released, will we see support for this in the weeks ahead? I recently tried using PgDBUtils on a database created from the template_postgis_20 in my PostGIS 2.0, but it doesn't think it's a PostGIS-enabled database. Probably because the schema/table design is different.

Coordinator
May 10, 2012 at 8:32 AM

We will certainly start working on this, however, I cannot promise any timeframe for release. Pavel

Coordinator
Jun 11, 2012 at 12:29 PM

I've just got a time to install the newest version of PostGIS. I used a linux version, PostgreSQL 9.1.4, PostGIS 2.0.0, and everything seems to run fine. The only small problem is that some more PostGIS meta tables (e.g. raster_columns) are visible. I will hide them in a next patch. I've also got references from some other users that the software works with PostGIS 2.0 without modification. So not sure what template_postgis_20 is, but try run the debug version of PgDBUtils, perhaps there will be more info in the log file.

Pavel